<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PagarResponse StructType
 * @subpackage Structs
 */
class PagarResponse extends AbstractStructBase
{
    /**
     * The PagarResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $PagarResult;
    /**
     * Constructor method for PagarResponse
     * @uses PagarResponse::setPagarResult()
     * @param string $pagarResult
     */
    public function __construct($pagarResult = null)
    {
        $this
            ->setPagarResult($pagarResult);
    }
    /**
     * Get PagarResult value
     * @return string|null
     */
    public function getPagarResult()
    {
        return $this->PagarResult;
    }
    /**
     * Set PagarResult value
     * @param string $pagarResult
     * @return \StructType\PagarResponse
     */
    public function setPagarResult($pagarResult = null)
    {
        // validation for constraint: string
        if (!is_null($pagarResult) && !is_string($pagarResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($pagarResult)), __LINE__);
        }
        $this->PagarResult = $pagarResult;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\PagarResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
